package
{
	import org.flixel.*;
	
	public class TitleState extends FlxState
	{
		public static var highscore:int=0;
		public static var curscore:int=0;
		public static function ApplyHighScore():void
		{			
			var save:FlxSave = new FlxSave();			
			if (save.bind("increpareRAPIDFIE"))
			{
				save.data.highscore=highscore;
			}
		}
		
		private function LoadHighScore():void
		{
			
			var save:FlxSave = new FlxSave();			
			if (save.bind("increpareRAPIDFIE"))
			{
				highscore =  save.data.highscore;				
			}
		}
		
		override public function create():void
		{
			if (DataClass.dat.length==0)
			{
				DataClass.InitDat();
			}
			LoadHighScore();
			//bgColor=0xff222222;
			var t:FlxText;
			t= new FlxText(0-1,20,FlxG.width,"RAPIDFIE\nyou have 60 seconds in which to get as many words as possible\nclick to start\n\npress 1, 2, or 3 to select most closely associated words.");
			t.color=0xffffff;
			t.alignment="center";
			t.size=16;
			
			add(t);
			var hiscoretxt:FlxText = new FlxText(5,240,FlxG.width,"highscore : " + TitleState.highscore);
			hiscoretxt.size=16;
			hiscoretxt.alignment="left";
			add(hiscoretxt);
			
			
			
		}
		
		override public function update():void
		{
			if (FlxG.mouse.justPressed())
			{
				FlxG.state = new GameState();
				FlxG.play(GameState.SndCorrect).survive=true;	
			}
		}
	}
}